Do not add the workspace link for now.

This commit is contained in:
Andrea Dell'Amico 2022-04-08 16:02:52 +02:00
parent afc3e4523b
commit a2d7857c22
Signed by: andrea.dellamico
GPG Key ID: 147ABE6CEB9E20FF
1 changed files with 13 additions and 2 deletions

View File

@ -42,13 +42,24 @@ fi
echo "Mount the workspace"
su - "$USER" -c "/usr/bin/java -cp .:${workspace_dir}:${workspace_logdir}/ -Dlogback.configurationFile=${workspace_logdir}/logback.xml -jar $workspace_fuse_jar $SHINYPROXY_OIDC_ACCESS_TOKEN ${_workspace_scope} $workspace_dir" >/dev/null 2>&1 &
sleep 5
_retval=
_fuse_process=$(ps auwwx | grep fuse | grep java)
_retval=$?
if [ $_retval -ne 0 ]; then
echo "The mount of the workspace failed"
exit 1
else
# pushd /home/${USER}
# if [ $? -ne 0 ]; then
# if ! [ -L workspace ]; then
# su - "$USER" -c "ln -s $workspace_dir /workspace"
# fi
# else
# echo "Cannot cd inside the user's home directory"
# exit 1
# fi
echo "The workspace has been mounted"
exit 0
fi
ln -sf $workspace_dir /home/${USER}/workspace
exit 0